New issue

Have a question about this project? Sign up for a free GitHub account to open an issue and contact its maintainers and the community.

By clicking “Sign up for GitHub”, you agree to our terms of service and privacy statement. We’ll occasionally send you account related emails.

Already on GitHub? Sign in to your account

[FrameworkBundle][4.2] fix deps #29080

Merged
merged 1 commit into from Nov 4, 2018

Conversation

Projects
None yet
5 participants
@ro0NL
Contributor

ro0NL commented Nov 4, 2018

Q A
Branch? master
Bug fix? yes
New feature? no
BC breaks? no
Deprecations? no
Tests pass? yes
Fixed tickets #...
License MIT
Doc PR symfony/symfony-docs#...

The bundle requires the MetadataAwareNameConverter added in 4.2

<service id="serializer.name_converter.metadata_aware" class="Symfony\Component\Serializer\NameConverter\MetadataAwareNameConverter" >
<argument type="service" id="serializer.mapping.class_metadata_factory"/>
</service>

This PR fixes

Attempted to load interface "AdvancedNameConverterInterface" from namespace "Symfony\Component\Serializer\NameConverter".
Did you forget a "use" statement for another namespace?
@fabpot

fabpot approved these changes Nov 4, 2018

@fabpot

This comment has been minimized.

Member

fabpot commented Nov 4, 2018

Thank you @ro0NL.

@fabpot fabpot merged commit 71fe97a into symfony:master Nov 4, 2018

3 checks passed

continuous-integration/appveyor/pr AppVeyor build succeeded
Details
continuous-integration/travis-ci/pr The Travis CI build passed
Details
fabbot.io Your code looks good.
Details

fabpot added a commit that referenced this pull request Nov 4, 2018

bug #29080 [FrameworkBundle][4.2] fix deps (ro0NL)
This PR was merged into the 4.2-dev branch.

Discussion
----------

[FrameworkBundle][4.2] fix deps

| Q             | A
| ------------- | ---
| Branch?       | master
| Bug fix?      | yes
| New feature?  | no
| BC breaks?    | no     <!-- see https://symfony.com/bc -->
| Deprecations? | no
| Tests pass?   | yes    <!-- please add some, will be required by reviewers -->
| Fixed tickets | #...   <!-- #-prefixed issue number(s), if any -->
| License       | MIT
| Doc PR        | symfony/symfony-docs#... <!-- required for new features -->

The bundle requires the `MetadataAwareNameConverter` added in 4.2

https://github.com/symfony/symfony/blob/1fc577f2c7c1cff2857658537adf4f30a3ad60ac/src/Symfony/Bundle/FrameworkBundle/Resources/config/serializer.xml#L122-L124

This PR fixes

```
Attempted to load interface "AdvancedNameConverterInterface" from namespace "Symfony\Component\Serializer\NameConverter".
Did you forget a "use" statement for another namespace?
```

Commits
-------

71fe97a [FrameworkBundle][4.2] fix deps

@ro0NL ro0NL deleted the ro0NL:patch-1 branch Nov 4, 2018

@fabpot fabpot referenced this pull request Nov 16, 2018

Merged

Release v4.2.0-BETA2 #29237

Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment